
%ifarch ppc64le
%bcond lua 0
%else
%bcond lua 1
%endif
%bcond server 0

%global pkg_name pandoc-cli
%global pandoc_ver 3.1.3
%global pandoccli pandoc-cli-0.1.1.1

%global base64 base64-0.4.2.4
%global citeproc citeproc-0.8.1
%global commonmark commonmark-0.2.3
%global commonmarkextensions commonmark-extensions-0.2.3.6
%global commonmarkpandoc commonmark-pandoc-0.2.1.3
%global digits digits-0.3.1
%global gridtables gridtables-0.1.0.0
%global hsluacli hslua-cli-1.4.1
%global hslualist hslua-list-1.1.1
%global hsluamoduledoclayout hslua-module-doclayout-1.1.0
%global hsluamodulepath hslua-module-path-1.1.0
%global hsluamodulesystem hslua-module-system-1.1.0.1
%global hsluamoduleversion hslua-module-version-1.1.0
%global hsluamodulezip hslua-module-zip-1.1.0
%global hsluarepl hslua-repl-0.1.1
%global ipynb ipynb-0.2
%global isocline isocline-1.0.9
%global jirawikimarkup jira-wiki-markup-1.5.1
%global lpeg lpeg-1.0.4
%global orderedcontainers ordered-containers-0.2.3
%global pandoc pandoc-%{pandoc_ver}
%global pandocluaengine pandoc-lua-engine-0.2.0.1
%global pandocluamarshal pandoc-lua-marshal-0.2.2
%if %{with server}
%global pandocserver pandoc-server-0.1.0.3
%endif
%global tomlparser toml-parser-1.3.0.0
%global typst typst-0.1.0.0
%global unicodecollation unicode-collation-0.1.3.5

%global subpkgs %{unicodecollation} %{tomlparser} %{orderedcontainers} %{lpeg} %{jirawikimarkup} %{isocline} %{ipynb} %{hsluarepl} %{hsluamoduleversion} %{hsluamodulesystem} %{hsluamodulepath} %{hsluamoduledoclayout} %{hslualist} %{hsluamodulezip} %{pandocluamarshal} %{hsluacli} %{gridtables} %{digits} %{typst} %{commonmark} %{commonmarkextensions} %{commonmarkpandoc} %{citeproc} %{base64} %{pandoc} %{pandocluaengine} %{?pandocserver}


Name:           pandoc
Version:        %{pandoc_ver}
Release:    1%{?dist}
Summary:        Conversion between documentation formats

License:        GPL-2.0-or-later
Url:            https://hackage.haskell.org/package/%{name}
Source0:       https://hackage.haskell.org/package/%{pandoccli}/%{pandoccli}.tar.gz

Source1:        https://hackage.haskell.org/package/%{base64}/%{base64}.tar.gz
Source2:        https://hackage.haskell.org/package/%{citeproc}/%{citeproc}.tar.gz
Source3:        https://hackage.haskell.org/package/%{commonmark}/%{commonmark}.tar.gz
Source4:        https://hackage.haskell.org/package/%{commonmarkextensions}/%{commonmarkextensions}.tar.gz
Source5:        https://hackage.haskell.org/package/%{commonmarkpandoc}/%{commonmarkpandoc}.tar.gz
Source6:        https://hackage.haskell.org/package/%{digits}/%{digits}.tar.gz
Source7:        https://hackage.haskell.org/package/%{gridtables}/%{gridtables}.tar.gz
Source8:        https://hackage.haskell.org/package/%{hsluacli}/%{hsluacli}.tar.gz
Source9:        https://hackage.haskell.org/package/%{hslualist}/%{hslualist}.tar.gz
Source10:       https://hackage.haskell.org/package/%{hsluamoduledoclayout}/%{hsluamoduledoclayout}.tar.gz
Source11:       https://hackage.haskell.org/package/%{hsluamodulepath}/%{hsluamodulepath}.tar.gz
Source12:       https://hackage.haskell.org/package/%{hsluamodulesystem}/%{hsluamodulesystem}.tar.gz
Source13:       https://hackage.haskell.org/package/%{hsluamoduleversion}/%{hsluamoduleversion}.tar.gz
Source14:       https://hackage.haskell.org/package/%{hsluamodulezip}/%{hsluamodulezip}.tar.gz
Source15:       https://hackage.haskell.org/package/%{hsluarepl}/%{hsluarepl}.tar.gz
Source16:       https://hackage.haskell.org/package/%{ipynb}/%{ipynb}.tar.gz
Source17:       https://hackage.haskell.org/package/%{isocline}/%{isocline}.tar.gz
Source18:       https://hackage.haskell.org/package/%{jirawikimarkup}/%{jirawikimarkup}.tar.gz
Source19:       https://hackage.haskell.org/package/%{lpeg}/%{lpeg}.tar.gz
Source20:       https://hackage.haskell.org/package/%{orderedcontainers}/%{orderedcontainers}.tar.gz
Source21:       https://hackage.haskell.org/package/%{pandoc}/%{pandoc}.tar.gz
Source22:       https://hackage.haskell.org/package/%{pandocluaengine}/%{pandocluaengine}.tar.gz
Source23:       https://hackage.haskell.org/package/%{pandocluamarshal}/%{pandocluamarshal}.tar.gz
%if %{with server}
Source24:       https://hackage.haskell.org/package/%{pandocserver}/%{pandocserver}.tar.gz
%endif
Source25:       https://hackage.haskell.org/package/%{tomlparser}/%{tomlparser}.tar.gz
Source26:       https://hackage.haskell.org/package/%{typst}/%{typst}.tar.gz
Source27:       https://hackage.haskell.org/package/%{unicodecollation}/%{unicodecollation}.tar.gz
Source30:       https://hackage.haskell.org/package/%{base64}/base64.cabal#/%{base64}.cabal

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-temporary-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-wai-extra-prof
BuildRequires:  ghc-warp-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-text-short-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-text-short-prof
%endif
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xml-conduit-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-file-embed-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-scientific-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-uniplate-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-xml-conduit-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unicode-data-devel
BuildRequires:  ghc-unicode-transforms-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unicode-data-prof
BuildRequires:  ghc-unicode-transforms-prof
%endif
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-emojis-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-transformers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-emojis-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-network-uri-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-transformers-prof
%endif
BuildRequires:  ghc-pandoc-types-devel
%if %{with ghc_prof}
BuildRequires:  ghc-pandoc-types-prof
%endif
BuildRequires:  ghc-QuickCheck-devel
%if %{with ghc_prof}
BuildRequires:  ghc-QuickCheck-prof
%endif
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-doclayout-devel
BuildRequires:  ghc-parsec-devel
%if %{with ghc_prof}
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-doclayout-prof
BuildRequires:  ghc-parsec-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-lua-devel
BuildRequires:  ghc-unix-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-lua-prof
BuildRequires:  ghc-unix-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hslua-core-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-hslua-core-prof
%endif
BuildRequires:  ghc-doclayout-devel
BuildRequires:  ghc-hslua-devel
%if %{with ghc_prof}
BuildRequires:  ghc-doclayout-prof
BuildRequires:  ghc-hslua-prof
%endif
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-hslua-packaging-devel
%if %{with ghc_prof}
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-hslua-packaging-prof
%endif
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-hslua-packaging-devel
%if %{with ghc_prof}
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-hslua-packaging-prof
%endif
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-hslua-packaging-devel
%if %{with ghc_prof}
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-hslua-packaging-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-hslua-packaging-devel
BuildRequires:  ghc-hslua-typing-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-zip-archive-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-hslua-packaging-prof
BuildRequires:  ghc-hslua-typing-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-zip-archive-prof
%endif
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hslua-core-devel
BuildRequires:  ghc-lua-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-hslua-core-prof
BuildRequires:  ghc-lua-prof
%endif
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-unordered-containers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-base64-bytestring-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-unordered-containers-prof
%endif
BuildRequires:  ghc-bytestring-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
%endif
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
%if %{with ghc_prof}
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-parsec-prof
%endif
BuildRequires:  ghc-lua-devel
%if %{with ghc_prof}
BuildRequires:  ghc-lua-prof
%endif
BuildRequires:  ghc-containers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-containers-prof
%endif
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-JuicyPixels-devel
BuildRequires:  ghc-SHA-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-pretty-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doclayout-devel
BuildRequires:  ghc-doctemplates-devel
BuildRequires:  ghc-emojis-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haddock-library-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-mime-types-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-skylighting-devel
BuildRequires:  ghc-skylighting-core-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-tagsoup-devel
BuildRequires:  ghc-texmath-devel
BuildRequires:  ghc-text-conversions-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unicode-transforms-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xml-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-xml-types-devel
BuildRequires:  ghc-yaml-devel
BuildRequires:  ghc-zip-archive-devel
BuildRequires:  ghc-zlib-devel
%if %{with ghc_prof}
BuildRequires:  ghc-Glob-prof
BuildRequires:  ghc-JuicyPixels-prof
BuildRequires:  ghc-SHA-prof
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-aeson-pretty-prof
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-blaze-html-prof
BuildRequires:  ghc-blaze-markup-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-connection-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-doclayout-prof
BuildRequires:  ghc-doctemplates-prof
BuildRequires:  ghc-emojis-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-file-embed-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-haddock-library-prof
BuildRequires:  ghc-http-client-prof
BuildRequires:  ghc-http-client-tls-prof
BuildRequires:  ghc-http-types-prof
BuildRequires:  ghc-mime-types-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-network-prof
BuildRequires:  ghc-network-uri-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-pretty-show-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-random-prof
BuildRequires:  ghc-scientific-prof
BuildRequires:  ghc-skylighting-prof
BuildRequires:  ghc-skylighting-core-prof
BuildRequires:  ghc-split-prof
BuildRequires:  ghc-syb-prof
BuildRequires:  ghc-tagsoup-prof
BuildRequires:  ghc-texmath-prof
BuildRequires:  ghc-text-conversions-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-unicode-transforms-prof
BuildRequires:  ghc-unix-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-xml-prof
BuildRequires:  ghc-xml-conduit-prof
BuildRequires:  ghc-xml-types-prof
BuildRequires:  ghc-yaml-prof
BuildRequires:  ghc-zip-archive-prof
BuildRequires:  ghc-zlib-prof
%endif
BuildRequires:  ghc-SHA-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-doclayout-devel
BuildRequires:  ghc-doctemplates-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hslua-devel
BuildRequires:  ghc-hslua-module-text-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-parsec-devel
%if %{with ghc_prof}
BuildRequires:  ghc-SHA-prof
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-doclayout-prof
BuildRequires:  ghc-doctemplates-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-hslua-prof
BuildRequires:  ghc-hslua-module-text-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-parsec-prof
%endif
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hslua-devel
BuildRequires:  ghc-hslua-marshalling-devel
BuildRequires:  ghc-lua-devel
BuildRequires:  ghc-pandoc-types-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-hslua-prof
BuildRequires:  ghc-hslua-marshalling-prof
BuildRequires:  ghc-lua-prof
BuildRequires:  ghc-pandoc-types-prof
%endif
%if %{with server}
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-doctemplates-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-skylighting-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-cors-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-doctemplates-prof
BuildRequires:  ghc-pandoc-types-prof
BuildRequires:  ghc-servant-server-prof
BuildRequires:  ghc-skylighting-prof
BuildRequires:  ghc-wai-prof
BuildRequires:  ghc-wai-cors-prof
%endif
%endif
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-prettyprinter-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-prof
%endif
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cassava-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-typst-symbols-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-yaml-devel
%if %{with ghc_prof}
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-cassava-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-regex-tdfa-prof
BuildRequires:  ghc-scientific-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-typst-symbols-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-xml-conduit-prof
BuildRequires:  ghc-yaml-prof
%endif
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-lift-instances-devel
%if %{with ghc_prof}
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-th-lift-instances-prof
%endif
BuildRequires:  alex
BuildRequires:  happy
Requires:       %{name}-common = %{version}-%{release}

%description
Pandoc is a Haskell library for converting from one markup format to another.
The formats it can handle include

- light markup formats (many variants of Markdown, reStructuredText, AsciiDoc,
Org-mode, Muse, Textile, txt2tags) - HTML formats (HTML 4 and 5) - Ebook
formats (EPUB v2 and v3, FB2) - Documentation formats (GNU TexInfo, Haddock) -
Roff formats (man, ms) - TeX formats (LaTeX, ConTeXt) - XML formats (DocBook 4
and 5, JATS, TEI Simple, OpenDocument) - Outline formats (OPML) - Bibliography
formats (BibTeX, BibLaTeX, CSL JSON, CSL YAML, RIS) - Word processor formats
(Docx, RTF, ODT) - Interactive notebook formats (Jupyter notebook ipynb) - Page
layout formats (InDesign ICML) - Wiki markup formats (MediaWiki, DokuWiki,
TikiWiki, TWiki, Vimwiki, XWiki, ZimWiki, Jira wiki, Creole) - Slide show
formats (LaTeX Beamer, PowerPoint, Slidy, reveal.js, Slideous, S5, DZSlides) -
Data formats (CSV and TSV tables) - PDF (via external programs such as pdflatex
or wkhtmltopdf)

Pandoc can convert mathematical content in documents between TeX, MathML, Word
equations, roff eqn, and plain text. It includes a powerful system for
automatic citations and bibliographies, and it can be customized extensively
using templates, filters, and custom readers and writers written in Lua.

For pdf output please also install pandoc-pdf or weasyprint.


%package common
Summary:        %{name} common files
License: GPL-2.0-or-later AND (GPL-2.0-or-later OR BSD-3-Clause) AND WTFPL
BuildArch:      noarch

%description common
This package provides the %{name} common data files.


%package pdf
Summary:        Metapackage for pandoc pdf support
Requires:       %{name} = %{version}
Requires:       texlive-collection-latex
Requires:       texlive-ec

%description pdf
This package pulls in the TeXLive latex package collection needed by
pandoc to generate pdf output using pdflatex.

To use --latex-engine=xelatex or lualatex, install texlive-collection-xetex
or texlive-collection-luatex respectively.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{base64}
%ghc_lib_subpackage -l BSD-2-Clause %{citeproc}
%ghc_lib_subpackage -l BSD-3-Clause %{commonmark}
%ghc_lib_subpackage -l BSD-3-Clause %{commonmarkextensions}
%ghc_lib_subpackage -l BSD-3-Clause %{commonmarkpandoc}
%ghc_lib_subpackage -l BSD-3-Clause %{digits}
%ghc_lib_subpackage -l MIT %{gridtables}
%ghc_lib_subpackage -l MIT %{hsluacli}
%ghc_lib_subpackage -l MIT %{hslualist}
%ghc_lib_subpackage -l MIT %{hsluamoduledoclayout}
%ghc_lib_subpackage -l MIT %{hsluamodulepath}
%ghc_lib_subpackage -l MIT %{hsluamodulesystem}
%ghc_lib_subpackage -l MIT %{hsluamoduleversion}
%ghc_lib_subpackage -l MIT %{hsluamodulezip}
%ghc_lib_subpackage -l MIT %{hsluarepl}
%ghc_lib_subpackage -l BSD-3-Clause %{ipynb}
%ghc_lib_subpackage -l MIT %{isocline}
%ghc_lib_subpackage -l MIT %{jirawikimarkup}
%ghc_lib_subpackage -l MIT %{lpeg}
%ghc_lib_subpackage -l BSD-3-Clause %{orderedcontainers}
%ghc_lib_subpackage -l GPL-2.0-or-later %{pandoc}
%ghc_lib_subpackage -l GPL-2.0-or-later %{pandocluaengine}
%ghc_lib_subpackage -l MIT %{pandocluamarshal}
%if %{with server}
%ghc_lib_subpackage -l GPL-2.0-or-later %{pandocserver}
%endif
%ghc_lib_subpackage -l ISC %{tomlparser}
%ghc_lib_subpackage -l BSD-3-Clause %{typst}
%ghc_lib_subpackage -l BSD-2-Clause %{unicodecollation}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pandoccli} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 %{?pandocserver:-a24} -a25 -a26 -a27
cp -p %{SOURCE30} %{base64}/base64.cabal

rm %{digits}/Setup.lhs


%build
%ghc_libs_build %{subpkgs}
%ifarch ppc64le
%define cabal_configure_options -f -lua
%else
%define cabal_configure_options -f lua
%endif
%ghc_bin_build


%install
%ghc_libs_install %{subpkgs}
%ghc_bin_install

rm %{buildroot}%{_bindir}/example

rm %{buildroot}%{_datadir}/%{pandoc}/COPYRIGHT

%if %{with lua}
ln -s pandoc %{buildroot}%{_bindir}/pandoc-lua
%endif
%if %{with server}
ln -s pandoc %{buildroot}%{_bindir}/pandoc-server
%endif

install -m 0644 -p -D %{pandoc}/man/pandoc.1 %{buildroot}%{_mandir}/man1/pandoc.1

echo %{_bindir}/jira-wiki-markup >> %{jirawikimarkup}/ghc-jira-wiki-markup.files

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
touch %{buildroot}%{_datadir}/bash-completion/completions/%{name}


%check
%{buildroot}%{_bindir}/pandoc -v
%if %{with lua}
echo | %{buildroot}%{_bindir}/pandoc --data-dir=%{buildroot}%{_datadir}/%{pandoc}/data --lua-filter /dev/null
%endif


%post
%{_bindir}/%{name} --bash-completion > %{_datadir}/bash-completion/completions/%{name}


%files
%license COPYING.md
%{_bindir}/pandoc
%if %{with lua}
%{_bindir}/pandoc-lua
%endif
%if %{with server}
%{_bindir}/pandoc-server
%endif
%{_mandir}/man1/pandoc.1*
%ghost %{_datadir}/bash-completion/completions/%{name}


%files common
%license %{pandoc}/COPYING.md
%doc %{pandoc}/AUTHORS.md %{pandoc}/BUGS %{pandoc}/CONTRIBUTING.md %{pandoc}/README.md %{pandoc}/changelog.md
%{_datadir}/%{pandoc}

%files pdf


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.3-1
- initial build
